Packages for keyword “compression”
These packages are available as a package collection, usable in Xcode or SwiftPM.
fory
A blazingly fast multi-language serialization framework for idiomatic domain objects, schema IDL, and cross-language data exchange.
Zip
Swift framework for zipping and unzipping files.
PLzmaSDK
PLzmaSDK is (Portable, Patched, Package, cross-P-latform) Lzma SDK.
SWCompression
A Swift framework for working with compression, archives and containers.
DataCompression
Swift libcompression wrapper as an extension for the Data type (GZIP, ZLIB, LZFSE, LZMA, LZ4, deflate, RFC-1950, RFC-1951, RFC-1952)
compress-nio
Compression/Decompression support for Swift NIO ByteBuffer
PerfectZip
Perfect Zip compression utility.
ShrinkItArchive
A library for managing Apple ][ ShrinkIt / NuFX archives.
Zipper
🗳A library to create, read and modify ZIP archive files, written in Swift.
be42
Compression with permutations
CameraKage
CameraKage is a simple plug-and-play camera view, with basic camera functionalities.
bzip2
faster bzip2 in pure Swift with GPU Support
Zlib
🗜 A tiny Swift extension to decompress Zlib data.
13 packages.